org.keycloak.authorization.model

## Interface Scope

- All Known Implementing Classes:
    AbstractScopeModel, MapScopeAdapter, ScopeAdapter, ScopeAdapter

      public interface Scope

  Represents a scope, which is usually associated with one or more resources in order to define the actions that can be performed or a specific access context.
  Author:
    Pedro Igor

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Scope.FilterOption`
    `static class` | `Scope.SearchableFields`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDisplayName()` Returns the end user friendly name for this scope.
    `String` | `getIconUri()` Returns an icon `URI` for this scope.
    `String` | `getId()` Returns the unique identifier for this instance.
    `String` | `getName()` Returns the name of this scope.
    `ResourceServer` | `getResourceServer()` Returns the `ResourceServer` instance to where this scope belongs to.
    `void` | `setDisplayName(String name)` Sets an end user friendly name for this scope.
    `void` | `setIconUri(String iconUri)` Sets an icon `URI` for this scope.
    `void` | `setName(String name)` Sets a name for this scope.

- - ### Method Detail

    - #### getId

          String getId()

      Returns the unique identifier for this instance.
      Returns:
        the unique identifier for this instance

    - #### getName

          String getName()

      Returns the name of this scope.
      Returns:
        the name of this scope

    - #### setName

          void setName(String name)

      Sets a name for this scope. The name must be unique.
      Parameters:
        `name` - the name of this scope

    - #### getDisplayName

          String getDisplayName()

      Returns the end user friendly name for this scope. If not defined, value for `getName()` is returned.
      Returns:
        the friendly name for this scope

    - #### setDisplayName

          void setDisplayName(String name)

      Sets an end user friendly name for this scope.
      Parameters:
        `name` - the name of this scope

    - #### getIconUri

          String getIconUri()

      Returns an icon `URI` for this scope.
      Returns:
        a uri for an icon

    - #### setIconUri

          void setIconUri(String iconUri)

      Sets an icon `URI` for this scope.

    - #### getResourceServer

          ResourceServer getResourceServer()

      Returns the `ResourceServer` instance to where this scope belongs to.
      Returns:

Copyright © 2021 JBoss by Red Hat. All rights reserved.